#include <bits/stdc++.h>
	using namespace std;
	int main()
	{
		ios_base::sync_with_stdio(false);
		cin.tie(NULL);
		int a,b;
		string s="";
		cin>>a>>b;
		while(a!=0||b!=0)
		{
		int c1=a%10;
		int c2=b%10;
		if(c1>c2)
		s+=(c1+48);
		else if(c2>c1)
		s+=(c2+48);
		else if(c2==c1&&(a==0||b==0))
		s+=(c1+48);
		else
		{
			s+=(c1+48);
			s+=(c1+48);
		}
		a-=c1;
		b-=c2;
		a/=10;
		b/=10;
		}
		for(int i=s.length()-1;i>=0;i--)
		cout<<s[i];
		cout<<endl;
		return 0;
	}